//
//  NSObject+AfterDoing.h
//  直播
//
//  Created by ly on 2017/3/1.
//  Copyright © 2017年 ZST. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef void(^doBlock)(id object);

@interface NSObject (AfterDoing)


/**
    用block做延迟的处理.不用再写一个函数了
    如果想要取消,用这种    
    [NSObject cancelPreviousPerformRequestsWithTarget:self selector:@selector(runBlock:) object:blockl];
 */
- (void) performBlockAfterDelay:(NSTimeInterval)delay  withDoBlock:(doBlock)block ;

+ (void) test ;


@end


@interface NSTimer (RepeatDoing)

//+ (NSTimer *)timerWithTimeInterval:(NSTimeInterval)interval repeats:(BOOL)repeats block:(void (^)(NSTimer *timer))block API_AVAILABLE(macosx(10.12), ios(10.0), watchos(3.0), tvos(10.0));
// 这个方法是10.0以上系统才有的,按照这样的思路自己写一个,10.0以下的系统就能用了.
+ (NSTimer *) addTimerInRunLoopWithTimeInterval:(NSTimeInterval)interval repeats:(BOOL)repeats block:(doBlock)block  ;


@end


